# MSIPlesseyChecksumAlgorithm enum

MSI plessey checksum algorithm

Inheritance
  - Object
  - Enum
  - MSIPlesseyChecksumAlgorithm

## Constructors

MSIPlesseyChecksumAlgorithm()
  const

## Values

NONE → const MSIPlesseyChecksumAlgorithm

  Not use checksum */

MOD_10 → const MSIPlesseyChecksumAlgorithm

  Mod10 checksum algorithm */

MOD_11_IBM → const MSIPlesseyChecksumAlgorithm

  Mod11IBM checksum algorithm */

MOD_11_NCR → const MSIPlesseyChecksumAlgorithm

  Mod11NCR checksum algorithm */

MOD_1010 → const MSIPlesseyChecksumAlgorithm

  Mod1010 checksum algorithm */

MOD_1110_IBM → const MSIPlesseyChecksumAlgorithm

  Mod1110IBM checksum algorithm */

MOD_1110_NCR → const MSIPlesseyChecksumAlgorithm

  Mod1110NCR checksum algorithm */

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MSIPlesseyChecksumAlgorithm>
  A constant List of the values in this enum, in order of their declaration.
  `[NONE, MOD_10, MOD_11_IBM, MOD_11_NCR, MOD_1010, MOD_1110_IBM, MOD_1110_NCR]`